import {
  Avatar,
  Card,
  CardActions,
  CardContent,
  Rating,
  Stack,
} from "@mui/material";
const BestCommentCard = ({ item }) => {
  return (
    <Card
      sx={{
        width: "100%",
        height: "250px",
        display: "flex",
        flexDirection: "column",
      }}
    >
      <CardContent sx={{ display: "flex", flex: 1 }}>
        <Stack gap={1}>
          <div className="w-full flex gap-2 items-center">
            <Avatar sx={{ bgcolor: "#71C9CD", fontWeight: "bold" }}>
              {item?.name?.split("")[0]}
            </Avatar>
            <p className="text-sm  ">{item.userName}</p>
          </div>
          <div className="w-full flex flex-1 ">
            <p className="text-xs md:text-sm  " style={{lineHeight:"24px"}}>
              {item.comment}
            </p>
          </div>
        </Stack>
      </CardContent>
      <CardActions>
        <div className="w-full h-10 flex items-center justify-between">
          <Rating name="read-only" value={item.score} readOnly />
          <p className="text-sm  truncate">{item.date}</p>
        </div>
      </CardActions>
    </Card>
  );
};

export default BestCommentCard;
